IP-MAC Binding
9 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getIpMacBindingGeneralSetting | GET | Get IP-MAC binding general setting |
| modifyIpMacBindingGeneralSetting | PATCH | Modify IP-MAC binding general setting |
| getGridIpMacBinding | GET | Get IP-MAC binding list |
| createIpMacBinding | POST | Create IP-MAC binding |
| deleteIpMacBinding | DELETE | Delete IP-MAC binding |
| modifyIpMacBinding | PATCH | Modify IP-MAC binding |
| batchDeleteIpMacBindings | POST | Batch delete IP-MAC bindings |
| checkIpMacBindingExportToDhcpReservation | POST | Check IP-MAC binding export to DHCP reservation |
| importIpMacBindingListFromFile | POST | Import IP-MAC bindings from file |
getIpMacBindingGeneralSetting
GET /openapi/v1/{omadacId}/sites/{siteId}/ip-mac-bind
Get IP-MAC binding general setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getIpMacBindingGeneralSetting",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get IP-MAC binding general setting.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only
Site Device Manager View Only
modifyIpMacBindingGeneralSetting
PATCH /openapi/v1/{omadacId}/sites/{siteId}/ip-mac-bind
Modify IP-MAC binding general setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema IPMacBindingGeneralSetting
| Field | Type | Required | Description |
|---|---|---|---|
enable | boolean | yes | Enable of the IP MAC binding general setting, If applied, fill in at least one of LAN and WAN. |
lanIds | array<string> | no | LANs of the IP MAC binding general setting. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface. |
wanIds | array<string> | no | WANs of the IP MAC binding general setting. WAN port ID can be obtained from 'Get internet basic info' interface. |
imbPass | boolean | no | ImbPass of the IP MAC binding general setting. |
garp | boolean | no | GARP of the IP MAC binding general setting. |
interval | integer | no | Interval should be within the range of 1–10000. |
// omada_call_operation
{
"operationId": "modifyIpMacBindingGeneralSetting",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify IP-MAC binding general setting.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
Site Device Manager Modify
getGridIpMacBinding
GET /openapi/v1/{omadacId}/sites/{siteId}/ip-mac-binds
Get IP-MAC binding list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridIpMacBinding",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get IP-MAC binding list.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only
Site Device Manager View Only
createIpMacBinding
POST /openapi/v1/{omadacId}/sites/{siteId}/ip-mac-binds
Create IP-MAC binding
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema IPMacBinding
| Field | Type | Required | Description |
|---|---|---|---|
description | string | no | Description should contain 1 to 64 characters. |
mac | string | yes | MAC of the IP MAC binding entity. |
ip | string | yes | IP of the IP MAC binding entity. |
status | boolean | yes | Status of the IP MAC binding entity. |
interfaceType | integer | yes | Interface type should be a value as follows: 0: WAN; 1: LAN interface. |
interfaceId | string | yes | Interface ID. WAN port ID can be obtained from 'Get internet basic info' interface. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface. |
exportToDhcpReservation | boolean | no | Whether to export to the DhcpReservation table. This subsection is deprecated. |
supportExport | boolean | no | Whether could export to the DhcpReservation table. This subsection is deprecated. |
enableExportToDhcpReservation | boolean | no | Whether to enable export to the DhcpReservation table. |
// omada_call_operation
{
"operationId": "createIpMacBinding",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create IP-MAC binding.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
Site Device Manager Modify
deleteIpMacBinding
DELETE /openapi/v1/{omadacId}/sites/{siteId}/ip-mac-binds/{bindId}
Delete IP-MAC binding
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
bindId | path | string | yes | IP MAC binding ID |
// omada_call_operation
{
"operationId": "deleteIpMacBinding",
"params": {
"siteId": "<siteId>",
"bindId": "<bindId>"
}
}Details, permissions and error codes
Delete IP-MAC binding.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
Site Device Manager Modify
modifyIpMacBinding
PATCH /openapi/v1/{omadacId}/sites/{siteId}/ip-mac-binds/{bindId}
Modify IP-MAC binding
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
bindId | path | string | yes | IP MAC binding ID |
Request body — application/json (required) — schema IPMacBinding
| Field | Type | Required | Description |
|---|---|---|---|
description | string | no | Description should contain 1 to 64 characters. |
mac | string | yes | MAC of the IP MAC binding entity. |
ip | string | yes | IP of the IP MAC binding entity. |
status | boolean | yes | Status of the IP MAC binding entity. |
interfaceType | integer | yes | Interface type should be a value as follows: 0: WAN; 1: LAN interface. |
interfaceId | string | yes | Interface ID. WAN port ID can be obtained from 'Get internet basic info' interface. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface. |
exportToDhcpReservation | boolean | no | Whether to export to the DhcpReservation table. This subsection is deprecated. |
supportExport | boolean | no | Whether could export to the DhcpReservation table. This subsection is deprecated. |
enableExportToDhcpReservation | boolean | no | Whether to enable export to the DhcpReservation table. |
// omada_call_operation
{
"operationId": "modifyIpMacBinding",
"params": {
"siteId": "<siteId>",
"bindId": "<bindId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify IP-MAC binding.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
Site Device Manager Modify
batchDeleteIpMacBindings
POST /openapi/v1/{omadacId}/sites/{siteId}/ip-mac-binds/batch-delete
Batch delete IP-MAC bindings
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema batchIds
| Field | Type | Required | Description |
|---|---|---|---|
ids | array<string> | yes | When selectType is set to all, the ids do not need to be passed and all entries are processed, when selectType is set to include, the id entries contained in the ids are processed, when selectType is set to exclude, the id entries that are not contained in the ids are processed |
selectType | string | no | SelectType all, include or exclude |
searchKey | string | no | Fuzzy query parameters, support field: voucher code |
// omada_call_operation
{
"operationId": "batchDeleteIpMacBindings",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Batch delete IP-MAC bindings.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
Site Device Manager Modify
checkIpMacBindingExportToDhcpReservation
POST /openapi/v1/{omadacId}/sites/{siteId}/ip-mac-binds/check/dhcp-res
Check IP-MAC binding export to DHCP reservation
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema CheckIpMacBindingExportToDhcpReservationOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
mac | string | yes | MAC of the IP MAC binding entity. |
ip | string | yes | IP of the IP MAC binding entity. |
interfaceId | string | yes | Interface ID. WAN port ID can be obtained from 'Get internet basic info' interface. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface. |
imbId | string | no | IP-MAC binding entry ID. |
// omada_call_operation
{
"operationId": "checkIpMacBindingExportToDhcpReservation",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Check IP-MAC binding export to DHCP reservation.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
Site Device Manager Modify
importIpMacBindingListFromFile
POST /openapi/v1/{omadacId}/sites/{siteId}/ip-mac-binds/import
Import IP-MAC bindings from file
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (optional)
| Field | Type | Required | Description |
|---|---|---|---|
file | string (binary) | yes |
// omada_call_operation
{
"operationId": "importIpMacBindingListFromFile",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Import IP-MAC bindings from file.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
Site Device Manager Modify